import java.io.*;
import java.io.IOException;
import java.util.Date;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class ContextAttribute extends HttpServlet 
{
  public void doGet(HttpServletRequest request, HttpServletResponse response)throws ServletException, IOException 
  {
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
	HttpSession session = request.getSession(true);

    Integer totalTimes = (Integer) getServletContext().getAttribute("total");

    if (totalTimes == null)
    {
      totalTimes = new Integer(1);
    }
    else
    {
      totalTimes = new Integer(totalTimes.intValue() + 1);
    }

    getServletContext().setAttribute("total", totalTimes);

    out.println("<html><head><title>Use of Context Attribute</title></head>");
    out.println("<h1>Details of the session:</h1>");
    out.println("Session Creation time: " + new Date(session.getCreationTime()) + "<br/>");
    out.println("Last access time: " + new Date(session.getLastAccessedTime()) + "<br/>");
    out.println("</body></html>");
    out.println("Total number of visits: " + totalTimes + "<br/>");
  }
}